std::ranges::common_view::size(3)

NAME
std::ranges::common_view::size - std::ranges::common_view::size

Synopsis
   constexpr auto size() requires ranges::sized_range<V>; (1) (since C++20)
   constexpr auto size() const requires ranges::sized_range<const V>; (2) (since C++20)
   Returns the number of elements.
   Equivalent to return ranges::size(base_);, where base_ is the underlying view.

Parameters
   (none)

Return value
   The number of elements.

Example
// Run this code
 #include <ranges>
 #include <string_view>
 int main()
 {
     constexpr static auto v1 = {1, 2, 3, 4, 5};
     constexpr auto common1 { v1 | std::views::common };
     static_assert(common1.size() == 5);
     constexpr auto take3 { v1 | std::views::reverse | std::views::take(3) };
     constexpr auto common2 { take3 | std::views::common };
     static_assert(common2.size() == 3);
     using namespace std::literals;
     constexpr static auto v2 = { "∧"sv, "∨"sv, "∃"sv, "∀"sv };
     static_assert(std::ranges::views::common(v2).size() == 4);
 }

See also
   ranges::size returns an integer equal to the size of a range
   (C++20) (customization point object)
   ranges::ssize returns a signed integer equal to the size of a range
   (C++20) (customization point object)